// PageSet.cpp : implementation file
//

#include "stdafx.h"
#include "ex30a.h"
#include "PageSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPageSet

IMPLEMENT_DYNAMIC(CPageSet, CDaoRecordset)

CPageSet::CPageSet(CDaoDatabase* pdb)
	: CDaoRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CPageSet)
	m_nBookID = 0;
	m_nPageNumber = 0;
	m_strText = _T("");
	m_nFields = 3;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
}


CString CPageSet::GetDefaultDBName()
{
	return _T("E:\\Programación Enero 98\\Proyectos\\InternetServer\\ITBLibrary.mdb");
}

CString CPageSet::GetDefaultSQL()
{
	return _T("[Pages]");
}

void CPageSet::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CPageSet)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Long(pFX, _T("[BookID]"), m_nBookID);
	DFX_Long(pFX, _T("[PageNumber]"), m_nPageNumber);
	DFX_Text(pFX, _T("[Text]"), m_strText);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CPageSet diagnostics

#ifdef _DEBUG
void CPageSet::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void CPageSet::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG
